Telegram APIMessages
messages.setDefaultHistoryTTL
Changes the default value of the Time-To-Live setting, applied to all new chats.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Changes the default value of the Time-To-Live setting, applied to all new chats.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.setDefaultHistoryTTL" \ -H "Content-Type: application/json" \ -d '{ "params": { "period": 0 } }'{ "result": true}setChatWallPaper
Set a custom [wallpaper »](https://core.telegram.org/api/wallpapers) in a specific private chat with another user.
setDefaultReaction
Change default emoji reaction to use in the quick reaction menu: the value is synced across devices and can be fetched using `help.RawGetConfigRequest`.